## ros-iron-micro-ros-diagnostic-bridge 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(micro_ros_diagnostic_bridge)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# build options
option(MICRO_ROS_DIAGNOSTIC_BRIDGE_EXAMPLES "Build example updaters for the micro-ROS diagnostic bridge package." FALSE)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(diagnostic_msgs REQUIRED)
find_package(micro_ros_diagnostic_msgs REQUIRED)
find_package(rclcpp REQUIRED)

# bridge executable
include_directories(include)
add_executable(diagnostic_bridge
  src/diagnostic_bridge_node.cpp
  src/micro_ros_diagnostic_bridge/micro_ros_diagnostic_bridge.cpp)
target_include_directories(diagnostic_bridge
    PUBLIC
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>
    PRIVATE
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
)
ament_target_dependencies(diagnostic_bridge
  rclcpp
  diagnostic_msgs
  micro_ros_diagnostic_msgs
)
install(TARGETS diagnostic_bridge
  DESTINATION lib/${PROJECT_NAME})

# launch
install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}/)

# install
install(DIRECTORY include/ DESTINATION include)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

if(MICRO_ROS_DIAGNOSTIC_BRIDGE_EXAMPLES)
  # launch
  install(DIRECTORY example/launch DESTINATION share/${PROJECT_NAME}/)
  # table
  install(FILES example/example_table.yaml DESTINATION share/${PROJECT_NAME}/)
endif()

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)

  # the following line skips the linter which checks for copyrights
  # remove the line when a copyright and license is present in all source files
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  set(LOOKUP_TABLE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/test/test_lookup_table.yaml)
  configure_file(test/lookup_tables.h.in ${CMAKE_CURRENT_BINARY_DIR}/micro_ros_diagnostic_bridge/lookup_tables.h)

  ament_add_gtest(test_diagnostic_bridge
    test/test_diagnostic_bridge.cpp
    src/micro_ros_diagnostic_bridge/micro_ros_diagnostic_bridge.cpp)
  if(TARGET test_diagnostic_bridge)
    target_include_directories(test_diagnostic_bridge PUBLIC
      ${micro_ros_diagnostic_msgs_INCLUDE_DIRS}
      ${diagnostic_msgs_INCLUDE_DIRS}
      ${rclcpp_INCLUDE_DIRS}
      ${CMAKE_CURRENT_BINARY_DIR}
    )
    ament_target_dependencies(test_diagnostic_bridge
      "rclcpp"
      "diagnostic_msgs"
      "micro_ros_diagnostic_msgs")
  endif()
endif()

# export dependencies
# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(ament_cmake)
ament_export_dependencies(micro_ros_diagnostic_msgs)
ament_export_dependencies(rosidl_generator_c)
ament_export_dependencies(rcl)
ament_export_dependencies(rcutils)
ament_package()

=== debian/changelog ===
ros-iron-micro-ros-diagnostic-bridge (0.3.0-5jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Bartolome Jimenez Vera <bjv@capra.ooo>  Thu, 20 Apr 2023 05:51:52 -0000

=== debian/control ===
Source: ros-iron-micro-ros-diagnostic-bridge
Section: misc
Priority: optional
Maintainer: Bartolome Jimenez Vera <bjv@capra.ooo>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-diagnostic-msgs, ros-iron-diagnostic-msgs <!nocheck>, ros-iron-micro-ros-diagnostic-msgs, ros-iron-micro-ros-diagnostic-msgs <!nocheck>, ros-iron-osrf-testing-tools-cpp <!nocheck>, ros-iron-rclcpp, ros-iron-ros-environment <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-micro-ros-diagnostic-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-diagnostic-msgs, ros-iron-micro-ros-diagnostic-msgs, ros-iron-rclcpp, ros-iron-ros-workspace
Description: Translates micro-ROS diagnostic messages to vanilla ROS 2 diagnostic messages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-micro-ros-diagnostic-bridge//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
